Skip to navigation

Link canonical transaction

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired1-200 characters

Headers

Myaza-VersionstringOptional
X-Request-IdstringOptional<=128 characters
Idempotency-KeystringRequiredformat: "^[A-Za-z0-9._:~-]+$"8-200 characters

Request

This endpoint expects an object.
versionintegerRequired>=1
transactionIdstringRequired
reasonstringRequired3-300 characters

Response

Success
recordobject
replayedboolean

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error